<?xml version="1.0" encoding="utf-8"?>
<doctrine-mapping xmlns="http://doctrine-project.org/schemas/orm/doctrine-mapping"
                  xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance"
                  xsi:schemaLocation="http://doctrine-project.org/schemas/orm/doctrine-mapping https://www.doctrine-project.org/schemas/orm/doctrine-mapping.xsd">
    <entity
            name="Smtm\Email\Context\Message\Context\MessageAttachment\Domain\MessageAttachment"
            table="email_message_attachment"
            repository-class="Smtm\Email\Context\Message\Context\MessageAttachment\Infrastructure\Repository\MessageAttachmentRepository"
    >
        <id name="messageId" column="email_message_id" type="integer"/>
        <id name="name" column="r_name" type="string" length="255"/>
        <field name="url" column="url" type="string" length="255" nullable="true">
            <options>
                <option name="fixed"/>
            </options>
        </field>
        <field name="content" column="content" type="text" nullable="false"/>
        <many-to-one field="message" target-entity="Smtm\Email\Context\Message\Domain\Message" inversed-by="messageAttachmentCollection">
            <join-column name="email_message_id" referenced-column-name="id" />
        </many-to-one>
        <unique-constraints>
            <unique-constraint name="idx_unq_email_message_id_r_name" columns="email_message_id,r_name"/>
        </unique-constraints>
        <indexes>
            <index name="idx_email_message_id" columns="email_message_id"/>
        </indexes>
    </entity>
</doctrine-mapping>
